com.holonplatform.datastore.jpa

## Interface JpaQueryHint

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    DefaultQueryHint

      public interface JpaQueryHint
      extends Serializable

  Interface to be used to provide `Query` execution hints using `QueryBuilder.parameter(String, Object)` with `QUERY_PARAMETER_HINT` as parameter name.
  Since:
    5.0.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.holonplatform.core.config.ConfigProperty<JpaQueryHint>` | `QUERY_PARAMETER_HINT` A `Query` parameter to set a JPA query hint, using `QueryBuilder.parameter(ConfigProperty, Object)`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JpaQueryHint` | `create(String name, Object value)` Build a query hint to be used in `Query` parameters with `QUERY_PARAMETER_HINT` parameter name.
    `String` | `getName()` Hint name
    `Object` | `getValue()` Hint value

- - ### Field Detail

    - #### QUERY_PARAMETER_HINT

          static final com.holonplatform.core.config.ConfigProperty<JpaQueryHint> QUERY_PARAMETER_HINT

      A `Query` parameter to set a JPA query hint, using `QueryBuilder.parameter(ConfigProperty, Object)`.

      The `JpaQueryHint` class must be used to provide the query hint name and value.

  - ### Method Detail

    - #### getName

          String getName()

      Hint name
      Returns:
        Name

    - #### getValue

          Object getValue()

      Hint value
      Returns:
        Value

    - #### create

          static JpaQueryHint create(String name,
                                     Object value)

      Build a query hint to be used in `Query` parameters with `QUERY_PARAMETER_HINT` parameter name.
      Parameters:
        `name` - Hint name (not null)
        `value` - Hint value (not null)
      Returns:
        QueryHint

Copyright © 2019 The Holon Platform. All rights reserved.